<?
define('PROTECTOR', 1);

$head = 'inventar';//фикс. места

$textl='Инвентарь';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

switch($_GET[mod]){

default:
//////считаем вещи/////////
$artefact = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='artefact'"),0);
$elex = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='elexir'"),0);
$res = mysql_result(mysql_query("SELECT COUNT(*) FROM res WHERE usr='$log' and tip='res'"),0);
$aura = mysql_result(mysql_query("SELECT COUNT(*) FROM item_aura WHERE usr='$log'"),0);
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr`= '$log' and `image`= 'not' ") or die (mysql_error());
$avto=mysql_num_rows($req);
if($avto==0){echo"<img src='pic/no.png' alt='*'/>Пока нет вещей</br><a href=\"pers.php?\">Назад</a>$div";}else{
echo"<b>Инвентарь</b>$div ";
$am=0;
While($mag = mysql_fetch_array($req))
{
if($udata[lvl]>$mag[nlvl]){$font="#AAAAAA";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
$wep = mysql_query("SELECT * FROM `weapon` WHERE `image`= 'yes' and `usr`='$log' and `tip`='$mag[tip]'") or die (mysql_error());
$wep = mysql_fetch_array($wep);
$stat = $wep[hp]+$wep[mp]+$wep[krit]+$wep[ukrit]+$wep[sila]+$wep[lovk]+$wep[prot];
$statmag = $mag[hp]+$mag[mp]+$mag[krit]+$mag[ukrit]+$mag[sila]+$mag[lovk]+$mag[prot];
if($stat==$statmag){$tex=" Надета такая же вещь!";}
if($statmag-$stat>0){$sta=$statmag-$stat; $tex="<font color='#71cc71'> Лучше +$sta</font>";}
if($statmag-$stat<0){$sta=$statmag-$stat; $tex="<font color='#FF6633'> Хуже $sta</font>";}
$am=$am+$mag[cena];
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$mag[tip]$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\"/><a href=\"inventar.php?mod=info&id=$mag[id]\"><font color='$font'>$mag[name]</font></a></br>"; 
echo"<img src='pic/up.png' alt='*'/>$mag[nlvl] ур <img src='pic/pers/weapon/$pic' alt='*'/>$tex <br>Прочность: $mag[proch]/10</span><br>
[<a href=\"dress.php?mod=nadet&tip=$mag[tip]&id=$mag[id]\">Надеть</a>] [<a href=\"sklad.php?send&id=$mag[id]\">На склад</a>] [<a href=\"kuznec.php?tip=$mag[tip]&id=$mag[id]\">Разобрать</a>]$div";}
}


echo"
<img src='pic/main/sklad.png' alt='*'/><a href=\"sklad.php?\">Мой склад</a></br>";
if($artefact == 0){echo"";}else{
echo"<img src='pic/main/art.png' alt='*'/><a href=\"inventar.php?mod=artefact\">Артефакты</a><br/>";}
if($res == 0){echo"";}else{
echo"<img src='pic/pers/kam.png' alt='*'/><a href=\"inventar.php?mod=res\">Ресурсы</a><br/>";}
if($elex == 0){echo"";}else{
echo"<img src='pic/main/alh.gif' alt='*'/><a href=\"inventar.php?mod=elexir\">Элексиры</a><br/>";}
if($aura == 0){echo"";}else{
echo"<img src='pic/main/aur.png' alt='*'/><a href=\"inventar.php?mod=aura\">Ауры</a>";}
break;

case 'item':
if($_GET[o]!=shit && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=poyas && $_GET[o]!=plash && $_GET[o]!=ruki && $_GET[o]!=nogi && $_GET[o]!=amulet && $_GET[o]!=kolco && $_GET[o]!=weapon){
echo'Ошибка!';
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' and `tip`='$_GET[o]' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<a href=\"inventar.php?mod=info&amp;id=$mag[id]\">$mag[name]</a>
 [<a href=\"dress.php?tip=$_GET[o]&amp;id=$mag[id]\">одеть</a>/<a href=\"bazar.php?mod=sell&tip=$_GET[mod]&id=$mag[id]\">продать</a>]<br/>";
}}else{echo"<b>Нет вещей</b><br/>";}
echo"<a href=\"inventar.php?\">Назад</a>";
break;

case 'res':

$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='res' and kol>'0'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$img = substr($mag[lat_name],0,3);
echo"<img src=\"pic/pers/$img.png\" alt=\"*\"/> <a href=\"inventar.php?mod=info&amp;act=res&amp;id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук)<a href=\"bazar.php?mod=sell&amp;tip=res&amp;id=$mag[id]\"> [продать]</a><br/>";
}}else{
echo"<b>Нет ресурсов</b><br/>";}
echo"<a href=\"inventar.php?\">Назад</a>";
break;

case 'elexir':
echo"<b>Элексиры</b> $div";
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='elexir' and kol>'0'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<img src=\"pic/main/$mag[what]e.png\" alt=\"*\"/> <a href=\"inventar.php?mod=info&act=elexir&id=$mag[id]\">$mag[name]</a>
 ($mag[kol] штук) [<a href=\"elexirs.php?id=$mag[id]\">использовать</a>]<br/>";
}echo"$div<a href=\"inventar.php?\">Назад</a>";
}else{
echo"<b>Нет элексиров</b><br/>";
}
break;

case 'artefact':
echo"<b>Артефакты</b> $div";
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='artefact' and kol>'0'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<img class=\"float-left\" src=\"pic/pers/$mag[lat_name].jpg\" alt=\"*\"/> <a href=\"inventar.php?mod=info&act=artefact&id=$mag[id]\">$mag[name]</a>
</br> <b>$mag[kol]</b> штук <br/>";}}else{
echo"<b>Нет свитков</b><br/>";}
echo"$div<a href=\"inventar.php?\">Назад</a>";
break;

case 'info':
if($_GET[act]==res or $_GET[act]==elexir or $_GET[act]==artefact){
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
@include('files/down.php');exit;}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'res':
$tip='Ресурс';
break;
case 'artefact':
$tip='Артефакт';
break;
case 'elexir':
$tip='Элексир';
break;}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
Количество: <b>$mag[kol]</b><br/>$div";
echo'<a href="javascript:history.go(-1)">Назад</a>';
break;}
$i++;
$b++;
if($mag['unknow']=='1'){

switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Наплечник';
break;
case 'plash':
$tip='Плащ';
break;
case 'ruki':
$tip='Рукавицы';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'amulet':
$tip='Амулет';
break;}

echo'Вещь: '.$mag['name_item'].'<br/>';

echo"Тип: $tip<br/>
<b>Характеристика</b><br/>

Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
Физ. защита: $mag[prot]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
<b>Требования:</b><br/>
Уровень: $mag[nlvl]<br/>";}
elseif($_GET[act]==aura){
$req = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
@include('files/down.php');exit;}
$mag = mysql_fetch_array($req);
echo"<b>$mag[name]</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Физ. защита: $mag[protect]<br/>
Жизнь: $mag[hp]<br/>
Мана: $mag[mp]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
<b>Требования:</b><br/>
Уровень: $mag[nlvl]<br/>
Время действия: $mag[actime] сек.<br/>";}else{
if(!empty($_GET[usr])){$logs = htmlspecialchars(addslashes(stripslashes($_GET['usr'])));}else{$logs="$log";}
$req = mysql_query("SELECT * FROM `weapon` WHERE `id`='$_GET[id]' and `usr`='$logs'");
$avto=mysql_num_rows($req);
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
case 'shit':
$tip='Щит';
break;
case 'poyas':
$tip='Наплечник';
break;
case 'plash':
$tip='Плащ';
break;
case 'amulet':
$tip='Амулет';
break;
case 'kolco':
$tip='Кольцо';
break;
case 'ruki':
$tip='Рукавицы';
break;}
if($udata[lvl]>$mag[nlvl]){$font="gray";$pic="downlvl.png";}
if($udata[lvl]>=$mag[nlvl] and $udata[lvl]<=$mag[nlvl]+5){$font="#71cc71";$pic="lvl.png";}
if($udata[lvl]<$mag[nlvl]){$font="chocolate";$pic="uplvl.png";}
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$mag[tip]$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\" style=\"margin-right:4px;\"/>";
echo"<img src='pic/pers/weapon/$pic' alt='*'/><font color='#ffc22b'><b>$mag[name]</b></font><br/>
Тип: <font color='$font'><b>$tip</b></font></p>";
if(!empty($mag[hp])){echo"Жизнь: <font color='$font'><b>$mag[hp]<br/></font></b>";}
if(!empty($mag[mp])){echo"Мана: <font color='$font'><b>$mag[mp]<br/></b></font>";}
if(!empty($mag[sila])){echo"Сила: <font color='$font'><b>$mag[sila]<br/></b></font>";}
if(!empty($mag[lovk])){echo"Ловкость: <font color='$font'><b>$mag[lovk]<br/></b></font>";}
if(!empty($mag[prot])){echo"Физ. защита: <font color='$font'><b>$mag[prot]<br/></b></font>";}
if(!empty($mag[krit])){echo"Крит: <font color='$font'><b>$mag[krit]%<br/></b></font>";}
if(!empty($mag[ukrit])){echo"Крит-урон: <font color='$font'><b>$mag[ukrit]%<br/></b></font>";}
echo"Прочность: <font color='$font'>$mag[proch]/10</font><br>";
echo"<font color='#ffc22b'><b>Требования:</b></font><br/>";
if(!empty($mag[nlvl])){echo"Уровень: <font color='$font'>$mag[nlvl]<br/></font>";}

echo'<a href="javascript:history.go(-1)">« Назад</a>';}
break;

case 'aura':
$req = mysql_query("SELECT * FROM `item_aura` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req)){
echo"<div class='dot'><img src=\"pic/pers/aurs/$mag[ava]\"  width='33' height='33' alt=\"*\" style=\"float:left;margin-right:5px;\"/>";
if($udata[lvl]>=$mag[nlvl]){$font="#71bb71";}else{$font="chocolate";}
echo"<font color='$font'>$mag[name] ($mag[nlvl] ур.)</font></br>"; 
if(!empty($mag[hp])){echo'<img src="pic/hp.png" alt="*"/> <font color="71cc71">+'.$mag[hp].' Жизни</font></br>';}
if(!empty($mag[mp])){echo'<img src="pic/mp.png" alt="*"/> <font color="71cc71">+'.$mag[mp].' Энергии</font></br>';}
if(!empty($mag[sila])){echo'<img src="pic/pers/udar.png" alt="*"/> <font color="71cc71">+'.$mag[sila].' Силы</font></br>';}
if(!empty($mag[protect])){echo'<img src="pic/pers/verh.png" alt="*"/> <font color="71cc71">+'.$mag[protect].' Защиты</font></br>';}
if(!empty($mag[lovk])){echo'<img src="pic/pers/lovk.png" alt="*"/> <font color="71cc71">+'.$mag[lovk].' Ловкости</font></br>';}
if(!empty($mag[krit])){echo'<img src="pic/pers/krit.png" alt="*"/> <font color="71cc71">+'.$mag[krit].' Бонус крит</font></br>';}
if(!empty($mag[ukrit])){echo'<img src="pic/pers/krit.png" alt="*"/> <font color="71cc71">+'.$mag[ukrit].' Бонус крит-урона</font></br>';}
$ark=round($mag[actime]/3600,1);
if($ark==1){$chas="час";}
if($ark>=2 and $ark<=4){$chas="часа";}
if($ark>=5){$chas="часов";}
echo"Длительность: <b>$ark</b> $chas</br>
[<a href=\"aura.php?id=$mag[id]\">активировать</a>]<br/></div>";}}else{
echo"<b>Нет аур</b><br/>";}break;}
@include('files/down.php');
?>